/*****************************************************************************
 *  FTools - Freenet Client Protocol Tools
 *
 *  Copyright (C) 2002 Juergen Buchmueller <juergen@pullmoll.de>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *****************************************************************************/
#ifndef	_ftsite_h
#define	_ftsite_h

#include "ft.h"
#include "ftfcp.h"

#ifdef	__cplusplus
extern "C" {
#endif

int put_site(fcp_t **pf, const char *uri, int htl, int attempts, int wiggle,
	const char *path, int revision);
int get_site(fcp_t **pf, const char *uri, int htl, int wiggle,
	const char *path, int revision, int get_force);

#ifdef	__cplusplus
}
#endif
#endif	/* _ftsite_h */
